Skip to content
Newer
Older
100755 30 lines (23 sloc) 968 Bytes
508b480 The gemspec is now executable, so you can build it by running ./amqp.…
Jakub Šťastný aka Botanicus authored Nov 12, 2010
1 #!/usr/bin/env gem build
2 # encoding: utf-8
3
67ef312 More flexible gemspec.
Jakub Šťastný aka Botanicus authored Jan 5, 2011
4 require "base64"
5 require File.expand_path("../lib/amqp/version", __FILE__)
c844886 @tmm1 Stop adding to the load path, use File.expand_path instead
tmm1 authored Feb 20, 2010
6
67ef312 More flexible gemspec.
Jakub Šťastný aka Botanicus authored Jan 5, 2011
7 Gem::Specification.new do |s|
8 s.name = "amqp"
c844886 @tmm1 Stop adding to the load path, use File.expand_path instead
tmm1 authored Feb 20, 2010
9 s.version = AMQP::VERSION
28d42f7 @michaelklishin Update .gemspec
michaelklishin authored Mar 18, 2011
10 s.authors = ["Aman Gupta", "Jakub Stastny aka botanicus", "Michael S. Klishin"]
c51395d Gemspec updates
Michael Klishin authored Nov 15, 2012
11 s.homepage = "http://rubyamqp.info"
d58a230 @michaelklishin Wording
michaelklishin authored Aug 26, 2015
12 s.summary = "Mature EventMachine-based RabbitMQ client"
13 s.description = "Mature EventMachine-based RabbitMQ client."
125b433 @michaelklishin Don't shadow Specification object variable
michaelklishin authored Mar 18, 2011
14 s.email = ["bWljaGFlbEBub3ZlbWJlcmFpbi5jb20=\n", "c3Rhc3RueUAxMDFpZGVhcy5jeg==\n"].map { |i| Base64.decode64(i) }
def8494 @amutz adding license information
amutz authored May 31, 2012
15 s.licenses = ["Ruby"]
67ef312 More flexible gemspec.
Jakub Šťastný aka Botanicus authored Jan 5, 2011
16
17 # files
a7eb4f1 @markiz Run specs on CI with EM beta versions
markiz authored Apr 26, 2011
18 s.files = `git ls-files`.split("\n").reject { |file| file =~ /^vendor\// || file =~ /^gemfiles\// }
67ef312 More flexible gemspec.
Jakub Šťastný aka Botanicus authored Jan 5, 2011
19 s.require_paths = ["lib"]
20
6a323f3 @iconara The README is .md not .textile
iconara authored May 31, 2011
21 s.rdoc_options = '--include=examples --main README.md'
22 s.extra_rdoc_files = ["README.md"] + Dir.glob("docs/*")
00e3ff9 @tmm1 Updated gemspec
tmm1 authored Mar 13, 2009
23
67ef312 More flexible gemspec.
Jakub Šťastný aka Botanicus authored Jan 5, 2011
24 # Dependencies
dcda11d @michaelklishin Drop EventMachine version requirement, per #52
michaelklishin authored Apr 20, 2011
25 s.add_dependency "eventmachine"
1d6b2eb @michaelklishin Require at least amq-protocol 2.0.1
michaelklishin authored Apr 4, 2016
26 s.add_dependency "amq-protocol", ">= 2.0.1"
00e3ff9 @tmm1 Updated gemspec
tmm1 authored Mar 13, 2009
27
67ef312 More flexible gemspec.
Jakub Šťastný aka Botanicus authored Jan 5, 2011
28 s.rubyforge_project = "amqp"
00e3ff9 @tmm1 Updated gemspec
tmm1 authored Mar 13, 2009
29 end
Something went wrong with that request. Please try again.